module UU
  module OperationRegistry
    # List of possible states for AppDeployment
    class AppDeploymentState
      # Application was already created by first deploy.
      CREATED = 'CREATED'

      # Application is deployed and running
      DEPLOYED = 'DEPLOYED'

      # Application was undeployed, containers was stopped and resources released.
      UNDEPLOYED = 'UNDEPLOYED'

      # Deployment of application is running now.
      DEPLOYING = 'DEPLOYING'

      # Undeployment of application is running now.
      UNDEPLOYING = 'UNDEPLOYING'

      # Redeployment of application is running now.
      REDEPLOYING = 'REDEPLOYING'

      # Swapping between slots.
      SWAPPING = 'SWAPPING'

    end
  end
end