module UU
  module OperationRegistry
    # List of possible states for Host.
    class HostState
      # Host has been created and is being installed and configured, no Node can
      # be allocated on this Host yet. Initial state.
      CREATED = 'CREATED'

      # Host is fully configured and Nodes can be allocated on it.
      ACTIVE = 'ACTIVE'

      # No new Node can be allocated on the Host. If there are any Nodes that
      # had been running before setting the Host to this state (when the Host
      # was in +ACTIVE+ state), they can continue running.
      PASSIVE = 'PASSIVE'

      # Host is not running, no Node can be allocated.
      SUSPENDED = 'SUSPENDED'
    end
  end
end
